web-dev-qa-db-de.com

Android Studio: Buildtools 24.0.1 erfordert Java 1.8 oder höher.

Ich versuche, eine Android-Entwicklerumgebung auf dem Mac einzurichten. 

Mein Ausgangspunkt ist Java 1.7, glaube ich. Also habe ich Android Studio installiert und das Projekt, das ich bauen möchte, geöffnet. Und es heißt:

Error:Buildtools 24.0.1 requires Java 1.8 or above.  Current JDK version is 1.7.

Also habe ich Java 1.8 u101 heruntergeladen und installiert. Kein Glück. Dann habe ich Android Studio entfernt und neu installiert und das SDK erneut installiert.

Mein Java Control Pannel sagt: Java 8 Update 101. Ausgabe von /usr/bin/Java:

Java version "1.8.0_101"
Java(TM) SE Runtime Environment (build 1.8.0_101-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.101-b13, mixed mode)

Ausgabe von /usr/bin/javac

javac 1.8.0_101

Was habe ich falsch gemacht?

16
lang2

Stellen Sie Ihre JDK-Version über die Projektstruktur sicher. 

 enter image description here

Sie können dies in Ihrem Gradle-Bereich hinzufügen

    compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
  }
39
IntelliJ Amiya

Auf einem Mac doppelklicken Sie einfach auf die App und ein neues modales Fenster wird angezeigt. Wählen Sie dann 'Open Module Setting' und gehen Sie zu 'SDK Location' .

3
P. Medas

Klicken Sie auf Projektstruktur -> App ->. Ändern Sie in den Eigenschaften (Sdk-Version kompilieren) die Google-APIs 23 . und in Build-Tools Version = 22.0.1

0
C89-HD